0

Is there any way to run new Mojave apps (like Voice Memos, News, Stocks) in High Sierra?

I tried to modify info.plist in particular with stocks, but the app gives me an error, I suppose because some missing files. But, is there any way to run this app on High Sierra? Here you can see the error in stock when I open the program (for no Italians: "borsa" means stock):

Dyld Error Message:

  Library not loaded: /System/iOSSupport/System/Library/PrivateFrameworks/NewsArticles.framework/Versions/A/NewsArticles
  Referenced from: /Volumes/VOLUME/Borsa copia.app/Contents/MacOS/Stocks
  Reason: image not found
2

No, these new apps are built using iOS-based frameworks that only exist on Mojave. These frameworks are located within /System/iOSSupport which is why you're seeing that error message, as that directory (and the files within it) do not appear in previous versions of macOS.

| improve this answer | |
2

No way

There will be differences in the system APIs between different operating systems.

Plus there will be new functions in the new OS which have no equivalent in older ones

| improve this answer | |

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .